## gtk4 4.12.0+ds

=== debian/changelog ===
gtk4 (4.12.0+ds-2ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB
    - Add patch to fix building CPDB support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 22 Aug 2023 12:27:01 -0400

gtk4 (4.12.0+ds-2) experimental; urgency=medium

  * d/rules: Skip build-time tests that are known to fail or be unreliable.
    Upstream flagged these as failing and skips them in their CI, so there's
    no point in us expecting them to succeed. (Closes: #1050075)
  * Add patch to tolerate different floating-point results on i386.
    Our baseline for i386 still doesn't include SSE, so we still have to use
    i387 instructions with extended precision and sometimes different answers.
    (Closes: #1050076)
  * Ignore another test failure on big-endian machines.
    Similar to #1024391.
  * d/rules: Ignore two reftests that fail on i386 only.
    In these tests, the reference rendering of "Hello world" is as one line,
    but on i386 (possibly due to different rounding) it is word-wrapped onto
    two lines.
  * Add patch to work around a test failure on riscv64.
    Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * Merge packaging from unstable
    - No further changes, except in the changelog

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 15:19:11 +0100

gtk4 (4.12.0+ds-1ubuntu3) mantic; urgency=medium

  * d/rules:
    - Disable build-time failing tests on i386 and s390x without lingering, as
      we don't really care about desktop in those architectures.

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 22 Aug 2023 15:38:10 +0200

gtk4 (4.12.0+ds-1ubuntu2) mantic; urgency=medium

  * d/p/disable-checkerboard-reftests.patch:
    - Disable flaky build-time checkerboard tests (LP: #2032638).

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Tue, 22 Aug 2023 12:28:08 +0200

gtk4 (4.12.0+ds-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB
  * Add patch to fix building cpdb support

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Aug 2023 18:16:27 -0400

gtk4 (4.10.5+ds-4) unstable; urgency=medium

  [ Jeremy Bícha ]
  * Restore sysprof integration

  [ Simon McVittie ]
  * d/p/debian/tests-Allow-longer-for-a-dialog-to-open.patch:
    Add patch to work around a test failure on riscv64 by extending an
    arbitrary timeout. Other architectures are occasionally affected by this.
    Thanks to Aurelien Jarno (Closes: #1049434)
  * d/control.in, d/gbp.conf: Use debian/trixie and upstream/4.10.x branches

 -- Simon McVittie <smcv@debian.org>  Tue, 22 Aug 2023 12:11:51 +0100

gtk4 (4.12.0+ds-1) experimental; urgency=medium

  * New upstream release
  * Restore sysprof integration
  * debian/control.in: Bump minimum glib, gobject-introspection, meson
    & wayland-protocols
  * debian/libgtk-4-bin.install: Install gtk4-rendernode-tool
  * debian/libgtk-4-1.symbols.in: Add new symbols
  * Drop patch marking the clipboard test flaky: applied upstream
  * Cherry-pick patch to fix undefined references
  * Add patch to adapt to Debian's tzdata 2023c-8
  * Add patch to mark headless tests as flaky

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 08 Aug 2023 17:31:01 -0400

gtk4 (4.10.5+ds-3) unstable; urgency=medium

  * Temporarily disable sysprof integration altogether, to get the package
    rebuilt

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Aug 2023 09:35:32 +0100

gtk4 (4.10.5+ds-2) unstable; urgency=medium

  * d/control.in: Only use libsysprof-capture-4-dev for shared library.
    libsysprof-capture-4-dev is currently a virtual package provided
    by libsysprof-4-dev, which also includes GTK 4 GUI components
    and so depends on libgtk-4-dev. If the Architecture: amd64 build
    happens to finish before the Architecture: all build starts,
    then the Architecture: all build will fail with an unsatisfiable
    build-dependency: libsysprof-4-dev Depends on libgtk-4-dev, which
    Depends on libgtk-4-common (>= ${source:Version}), which hasn't been
    built yet. The result is that libgtk-4-common can't be built and the
    builds deadlock.
    We've been lucky enough to avoid this until now, but version
    4.10.5+ds-1 was not sufficiently lucky and has become uninstallable
    and unbuildable.
    Because the sysprof integration is part of the architecture-specific
    library, we can break this cycle by only installing libsysprof-4-dev
    when we are building the architecture-specific library, and excluding
    it when we are only building architecture-independent documentation
    and common files.
  * Remove version constraints unnecessary since Debian 11
  * Remove maintscripts unnecessary in any released Debian version
  * d/upstream/metadata: Use preferred Gitlab URLs

 -- Simon McVittie <smcv@debian.org>  Sun, 06 Aug 2023 13:03:36 +0100

gtk4 (4.10.5+ds-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 05 Aug 2023 09:56:12 -0400

gtk4 (4.10.4+ds-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 19 Jul 2023 07:53:26 -0400

gtk4 (4.10.4+ds-1ubuntu1) mantic; urgency=medium

  * Merge with Debian. Remaining changes:
    - debian/tests:
      + include the memorytexture test in the flaky set, it has been unreliable
    - debian/control:
      + Build-Depend on dh-sequence-translations
    - Switch from the CUPS print backend to CPDB

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 05 Jun 2023 15:39:43 -0400


