=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-exec,
                dh-sequence-translations,
                fonts-cantarell <!nocheck>,
-               fonts-dejavu-core <!nocheck>,
+               fonts-noto-core <!nocheck>,
                gnome-pkg-tools,
                gobject-introspection (>= 1.76.0),
                gsettings-desktop-schemas <!nocheck>,
@@ -68,7 +68,6 @@
                python3-docutils <!nodoc>,
                python3-gi (>= 3.40),
                sassc,
-               ttf-bitstream-vera <!nocheck>,
                wayland-protocols (>= 1.32) [linux-any],
                weston [linux-any] <!nocheck>,
                xauth <!nocheck>,
@@ -317,3 +316,5 @@
 #Package: gtk-update-icon-cache
 #Section: misc
 #Architecture: any
+#Multi-Arch: foreign
+#Depends: ${misc:Depends},
