=== debian/control ===
--- 
+++ 
@@ -1,15 +1,13 @@
 Source: gtk4
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Simon McVittie <smcv@debian.org>, Jeremy Bícha <jbicha@ubuntu.com>
+Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
+Uploaders: Simon McVittie <smcv@debian.org>, Amin Bandali <bandali@ubuntu.com>, Jeremy Bícha <jbicha@ubuntu.com>, Marco Trevisan (Treviño) <marco@ubuntu.com>
 Build-Depends: adwaita-icon-theme <!nocheck>,
                at-spi2-core <!nocheck>,
                dbus-daemon <!nocheck>,
                debhelper-compat (= 13),
                dh-exec,
-               dh-sequence-translations,
                fonts-cantarell <!nocheck>,
                fonts-noto-core <!nocheck>,
                gnome-pkg-tools,
@@ -22,10 +20,9 @@
                libavformat-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libavutil-dev [amd64 arm64 armel armhf i386 mips64el mipsel ppc64el s390x],
                libcairo2-dev,
-               libcpdb-dev (>= 2.0~b4-0ubuntu3~),
-               libcpdb-frontend-dev (>= 2.0~b4-0ubuntu3~),
                libcolord-dev,
                libcloudproviders-dev (>= 0.3.1),
+               libcups2-dev,
                libegl1-mesa-dev [linux-any],
                libepoxy-dev,
                libfontconfig-dev,
@@ -36,7 +33,7 @@
                libgraphene-1.0-dev,
                libgstreamer1.0-dev,
                libgstreamer-plugins-base1.0-dev,
-               libharfbuzz-dev,
+               libharfbuzz-dev (>= 8.0.1), 
                libjpeg-dev,
                libjson-glib-dev:native,
                libpango1.0-dev (>= 1.50.0),
@@ -94,7 +91,6 @@
          libgtk-4-common (>= ${source:Version})
 Provides: gtk4-binver-4.0.0
 Recommends: libgtk-4-bin,
-            cpdb-backend-cups (>= 2.0~b4-0ubuntu2~),
             iso-codes,
             librsvg2-common (>= 2.52.0),
             libgtk-4-media-gstreamer,
@@ -318,3 +314,7 @@
 #Architecture: any
 #Multi-Arch: foreign
 #Depends: ${misc:Depends},
+#         ${shlibs:Depends}
+#Breaks: libgtk2.0-bin (<< 2.24.30-2),
+#        libgtk-3-bin (<< 3.20.6-1)
+#Replaces: libgtk2.0-bin (<< 2.24.30-2),
