=== debian/rules ===
--- 
+++ 
@@ -77,8 +77,6 @@
 configure_flags_deb = \
 	-Dauto_features=enabled \
 	-Dbroadway-backend=true \
-	-Dprint-cpdb=enabled \
-	-Dprint-cups=disabled \
 	-Dx11-backend=true \
 	${NULL}
 
@@ -259,12 +257,13 @@
 	$(NULL)
 endif
 
+# These succeed with llvmpipe, but fail with softpipe
+# https://gitlab.gnome.org/GNOME/gtk/-/issues/6085
 # https://bugs.debian.org/1050077
-ifneq ($(filter mips%,$(DEB_HOST_ARCH_CPU)),)
+# https://bugs.debian.org/1051168
 fuzzy_gsk_compare += opacity-overdraw
 ignore_gsk_compare += border-one-rounded
 fuzzy_reftests += opacity
-endif
 
 # https://bugs.debian.org/1024391
 ifeq (big,$(DEB_HOST_ARCH_ENDIAN))
@@ -283,4 +282,3 @@
 override_dh_auto_test:
 	env \
 		BUILDDIR=debian/build/deb \
-		FUZZY_GSK_COMPARE="$(fuzzy_gsk_compare)" \
