=== debian/tests/control ===
Test-Command: env GDK_BACKEND=x11 debian/tests/build
Features: test-name=build-x11
Classes: desktop, x11
Depends: build-essential, libgtk-4-dev, xauth, xvfb
Restrictions: allow-stderr, superficial

Test-Command: env GDK_BACKEND=wayland debian/tests/build
Features: test-name=build-wayland
Classes: desktop, wayland, linux-only
Depends: build-essential, libgtk-4-dev, weston
# Architecture: linux-any
Restrictions: allow-stderr, superficial

Test-Command: env GDK_BACKEND=x11 debian/tests/python3-gi
Features: test-name=python3-gi-x11
Classes: desktop, x11
Depends: dbus-daemon, gir1.2-gtk-4.0, python3-gi (>= 3.40), xauth, xvfb
Restrictions: superficial

Test-Command: env GDK_BACKEND=wayland debian/tests/python3-gi
Features: test-name=python3-gi-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon, gir1.2-gtk-4.0, libgl1, libgl1-mesa-dri, python3-gi (>= 3.40), weston
# Architecture: linux-any
Restrictions: superficial

Test-Command: env GDK_BACKEND=x11 debian/tests/installed-tests
Features: test-name=installed-tests-x11
Classes: desktop, x11
Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr

Test-Command: env GDK_BACKEND=wayland debian/tests/installed-tests
Features: test-name=installed-tests-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, weston
# Architecture: linux-any
Restrictions: allow-stderr

Test-Command: env GDK_BACKEND=x11 debian/tests/installed-tests-flaky
Features: test-name=installed-tests-flaky-x11
Classes: desktop, x11
Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, xauth, xvfb
Restrictions: allow-stderr, flaky

Test-Command: env GDK_BACKEND=wayland debian/tests/installed-tests-flaky
Features: test-name=installed-tests-flaky-wayland
Classes: desktop, wayland, linux-only
Depends: dbus-daemon (>= 1.8), fonts-noto-core, gnome-desktop-testing (>= 2018.1-1~), gtk-4-tests, locales | locales-all, weston
# Architecture: linux-any
Restrictions: allow-stderr, flaky
